{-# LANGUAGE NoImplicitPrelude #-}

module Bamboo.Theme.Blueprint.Control.Tag where
  
import Bamboo.Type (summary_for_tag)
import Bamboo.Type.State
import Bamboo.Theme.Blueprint.Atom.Post
import Bamboo.Theme.Blueprint.Control.Helper
import Bamboo.Theme.Blueprint.Env hiding (p, tag_id)
import Bamboo.Theme.Blueprint.Widget.Template
import qualified Bamboo.Type as C
import qualified Bamboo.Type.State as State


view :: Widget
view s = s.posts.(map render > (+++ nav p ( s.env.slashed_script_name / tag_id)) > page s) 
  where
    p = s.pager
    tag_id = s.uid
    render = render_summary s (s.config.summary_for_tag)

