{-# LANGUAGE NoMonomorphismRestriction#-}
{-# LANGUAGE NoImplicitPrelude #-}
module Bamboo.Theme.Blueprint.Widget.Template (page) where

import Bamboo.Helper.StateHelper (html_only_for)
import Bamboo.Theme.Blueprint.Env hiding (header, body)
import Bamboo.Theme.Blueprint.Widget.Body
import Bamboo.Theme.Blueprint.Widget.Footer
import Bamboo.Theme.Blueprint.Widget.Head
import Bamboo.Theme.Blueprint.Widget.Header
import Bamboo.Theme.Blueprint.Widget.Navigation
import Bamboo.Theme.Blueprint.Widget.Sidebar
import Web.HCheat
import qualified Text.XHtml.Strict as Html

body :: Container
body s x = Html.body << 
  [ div_class "container" << 
    [ header s
    , navigation s
    , div_id "page" 
        << [ div_class "column span-9 first" << body_content x, sidebar s ]
    , footer s 
    ]
  , html_only_for Analytics $
      primHtml (analytics $ s.config.analytics_account_id)
  ]

page :: Container
page s x = [html_head s, body s x] .toHtml
